faille dans java

Avell Diroll avelldiroll at gmail.com
Ven 7 Sep 13:35:21 UTC 2012


On 06/09/2012 23:05, LordPhoenix wrote:
> Le Thu, 06 Sep 2012 21:42:47 +0200,
> Avell Diroll <avelldiroll at gmail.com> a écrit :
>> mais je conseille grandement de n'utiliser
>> qu'openjdk, 
> Comment s'assure-t-on de quel version est installé exactement? Quelle
> paquet correspond à quelle jvm exactement?

Oracle java n'est pas disponible dans les dépôts officiels, ni même les
dépôts partner de canonical.

Si Oracle java est installé c'est donc de manière volontaire par
l'utilisateur depuis le binaire d'Oracle ou un ppa.

Comme il n'y a pas de paquet officiel pour Oracle java ... difficile de
donner son nom.

Des machines migrées d'avant la 10.04 peuvent toujours traîner le Sun
Java (qui pour le coup n'est plus mis à jour depuis très longtemps)
: sun-java6-*

Pour OpenJDK les paquets contiennent le nome OpenJDK et/ou IcedTea (la
jvm d'OpenJDK).

Comme il a été suggéré, si les paquets d'Oracle Java ont été fait
correctement, ils apparaitront comme choix dispo avec:

 sudo update-alternatives --list java

(--config pour changer le choix par defaut)

D'autres alternatives peuvent être concernées:
java.1.gz, java_vm, javaws, javaws.1.gz, jcontrol, jexec, jexec-binfmt

Mais ça ne règle que la version de java proposée par defaut ... ça ne
désinstalle pas le programme en question.

Si Oracle Java a été installé "à la main" depuis le binaire Oracle, il
faut aller fouiller la doc d'Oracle pour savoir si il y a un moyen de le
retirer proprement, ce qui n'est pas une certitude.

Bonne continuation

Ju
-- 
Getting the job done is no excuse for not following the rules.

Corollary:
        Following the rules will not get the job done.



Plus d'informations sur la liste de diffusion ubuntu-fr